CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
  What's the CVSS score of your company?
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2017-7547

PostgreSQL versions before 9.2.22, 9.3.18, 9.4.13, 9.5.8 and 9.6.4 are vulnerable to authorization flaw allowing remote authenticated attackers to retrieve passwords from the user mappings defined by the foreign server owners without actually having the privileges to do so.
Publish Date : 2017-08-16 Last Update Date : 2019-10-03
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
4.0
Confidentiality Impact Partial (There is considerable informational disclosure.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact None (There is no impact to the availability of the system.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication ???
Gained Access None
Vulnerability Type(s)
CWE ID CWE id is not defined for this vulnerability

- Related OVAL Definitions

Title Definition Id Class Family
RHSA-2017:2728: postgresql security update (Moderate) oval:com.redhat.rhsa:def:20172728 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2017-7547

# Product Type Vendor Product Version Update Edition Language
1 Application Postgresql Postgresql 9.2 * * * Version Details Vulnerabilities
2 Application Postgresql Postgresql 9.2.1 * * * Version Details Vulnerabilities
3 Application Postgresql Postgresql 9.2.2 * * * Version Details Vulnerabilities
4 Application Postgresql Postgresql 9.2.3 * * * Version Details Vulnerabilities
5 Application Postgresql Postgresql 9.2.4 * * * Version Details Vulnerabilities
6 Application Postgresql Postgresql 9.2.5 * * * Version Details Vulnerabilities
7 Application Postgresql Postgresql 9.2.6 * * * Version Details Vulnerabilities
8 Application Postgresql Postgresql 9.2.7 * * * Version Details Vulnerabilities
9 Application Postgresql Postgresql 9.2.8 * * * Version Details Vulnerabilities
10 Application Postgresql Postgresql 9.2.9 * * * Version Details Vulnerabilities
11 Application Postgresql Postgresql 9.2.10 * * * Version Details Vulnerabilities
12 Application Postgresql Postgresql 9.2.11 * * * Version Details Vulnerabilities
13 Application Postgresql Postgresql 9.2.12 * * * Version Details Vulnerabilities
14 Application Postgresql Postgresql 9.2.13 * * * Version Details Vulnerabilities
15 Application Postgresql Postgresql 9.2.14 * * * Version Details Vulnerabilities
16 Application Postgresql Postgresql 9.2.15 * * * Version Details Vulnerabilities
17 Application Postgresql Postgresql 9.2.16 * * * Version Details Vulnerabilities
18 Application Postgresql Postgresql 9.2.17 * * * Version Details Vulnerabilities
19 Application Postgresql Postgresql 9.2.18 * * * Version Details Vulnerabilities
20 Application Postgresql Postgresql 9.2.19 * * * Version Details Vulnerabilities
21 Application Postgresql Postgresql 9.2.20 * * * Version Details Vulnerabilities
22 Application Postgresql Postgresql 9.2.21 * * * Version Details Vulnerabilities
23 Application Postgresql Postgresql 9.3 * * * Version Details Vulnerabilities
24 Application Postgresql Postgresql 9.3.1 * * * Version Details Vulnerabilities
25 Application Postgresql Postgresql 9.3.2 * * * Version Details Vulnerabilities
26 Application Postgresql Postgresql 9.3.3 * * * Version Details Vulnerabilities
27 Application Postgresql Postgresql 9.3.4 * * * Version Details Vulnerabilities
28 Application Postgresql Postgresql 9.3.5 * * * Version Details Vulnerabilities
29 Application Postgresql Postgresql 9.3.6 * * * Version Details Vulnerabilities
30 Application Postgresql Postgresql 9.3.7 * * * Version Details Vulnerabilities
31 Application Postgresql Postgresql 9.3.8 * * * Version Details Vulnerabilities
32 Application Postgresql Postgresql 9.3.9 * * * Version Details Vulnerabilities
33 Application Postgresql Postgresql 9.3.10 * * * Version Details Vulnerabilities
34 Application Postgresql Postgresql 9.3.11 * * * Version Details Vulnerabilities
35 Application Postgresql Postgresql 9.3.12 * * * Version Details Vulnerabilities
36 Application Postgresql Postgresql 9.3.13 * * * Version Details Vulnerabilities
37 Application Postgresql Postgresql 9.3.14 * * * Version Details Vulnerabilities
38 Application Postgresql Postgresql 9.3.15 * * * Version Details Vulnerabilities
39 Application Postgresql Postgresql 9.3.16 * * * Version Details Vulnerabilities
40 Application Postgresql Postgresql 9.3.17 * * * Version Details Vulnerabilities
41 Application Postgresql Postgresql 9.4 * * * Version Details Vulnerabilities
42 Application Postgresql Postgresql 9.4.1 * * * Version Details Vulnerabilities
43 Application Postgresql Postgresql 9.4.2 * * * Version Details Vulnerabilities
44 Application Postgresql Postgresql 9.4.3 * * * Version Details Vulnerabilities
45 Application Postgresql Postgresql 9.4.4 * * * Version Details Vulnerabilities
46 Application Postgresql Postgresql 9.4.5 * * * Version Details Vulnerabilities
47 Application Postgresql Postgresql 9.4.6 * * * Version Details Vulnerabilities
48 Application Postgresql Postgresql 9.4.7 * * * Version Details Vulnerabilities
49 Application Postgresql Postgresql 9.4.8 * * * Version Details Vulnerabilities
50 Application Postgresql Postgresql 9.4.9 * * * Version Details Vulnerabilities
51 Application Postgresql Postgresql 9.4.10 * * * Version Details Vulnerabilities
52 Application Postgresql Postgresql 9.4.11 * * * Version Details Vulnerabilities
53 Application Postgresql Postgresql 9.4.12 * * * Version Details Vulnerabilities
54 Application Postgresql Postgresql 9.5 * * * Version Details Vulnerabilities
55 Application Postgresql Postgresql 9.5.1. * * * Version Details Vulnerabilities
56 Application Postgresql Postgresql 9.5.2 * * * Version Details Vulnerabilities
57 Application Postgresql Postgresql 9.5.3 * * * Version Details Vulnerabilities
58 Application Postgresql Postgresql 9.5.4 * * * Version Details Vulnerabilities
59 Application Postgresql Postgresql 9.5.5 * * * Version Details Vulnerabilities
60 Application Postgresql Postgresql 9.5.6 * * * Version Details Vulnerabilities
61 Application Postgresql Postgresql 9.5.7 * * * Version Details Vulnerabilities
62 Application Postgresql Postgresql 9.6 * * * Version Details Vulnerabilities
63 Application Postgresql Postgresql 9.6.1 * * * Version Details Vulnerabilities
64 Application Postgresql Postgresql 9.6.2 * * * Version Details Vulnerabilities
65 Application Postgresql Postgresql 9.6.3 * * * Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Postgresql Postgresql 65

- References For CVE-2017-7547

https://access.redhat.com/errata/RHSA-2017:2677
REDHAT RHSA-2017:2677
https://security.gentoo.org/glsa/201710-06
GENTOO GLSA-201710-06
https://access.redhat.com/errata/RHSA-2017:2678
REDHAT RHSA-2017:2678
https://access.redhat.com/errata/RHSA-2017:2728
REDHAT RHSA-2017:2728
http://www.debian.org/security/2017/dsa-3935
DEBIAN DSA-3935
http://www.debian.org/security/2017/dsa-3936
DEBIAN DSA-3936
http://www.securityfocus.com/bid/100275
BID 100275
http://www.securitytracker.com/id/1039142
SECTRACK 1039142
https://www.postgresql.org/about/news/1772/ CONFIRM

- Metasploit Modules Related To CVE-2017-7547

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.